Vigtig Meddelelse: NVDA 2017.3 er den sidste version, der vil understøtte udgaver af Windows der er ældre end Windows 7 og Windows Server 2008 RC2 Service Pack 1

Hvis du bruger en af følgende Windows-operativsystemer, læs venligst følgende, der omfatter disse operativsystemer:

  • Windows XP
  • Windows Server 2003
  • Windows Vista
  • Windows Server 2008
  • Windows 7 uden Service Pack 1

Efter megen overvejelse har NV Access besluttet, at NVDA 2017.3 vil være den sidste version af NVDA, der understøtter ældre operativsystemer som Windows XP og Vista. NVDA 2017.4, som vil blive udgivet i slutningen af ​​november, kræver, at Windows 7 Service Pack 1 eller Windows Server 2008 R2 Service Pack 1 kører. Disse brugere på ældre operativsystemer kan fortsætte med at køre NVDA 2017.3.

Det er blevet sværere og sværere at opretholde understøttelse for ældre operativsystemer og samtidig rette fejl og tilføje nye funktioner til nyere og mere sikre operativsystemer. Med kun 4% af vores brugere nu på disse ældre operativsystemer, mener vi, at det ikke længere er værd at vedligeholde, især da det begynder at påvirke flertallet af vores brugere. Endvidere tilbyder Microsoft ikke længere nogen support til Windows XP, Vista eller Windows 7 uden servicepakke. Det betyder, at brugerne kører disse operativsystemer med stor risiko for sikkerhedsproblemer. Mange andre almindelige applikationer, herunder browsere som Mozilla Firefox og Google Chrome, har allerede valgt ikke at understøtte disse ældre operativsystemer.

NV Access erkender, at denne beslutning vil være upopulær for nogle, og forstår også, at der vil være brugere, som ikke kan skifte til et nyere operativsystem. Derfor vil NV Access fortsat tilbyde NVDA 2017.3-download på sin hjemmeside, selv når fremtidige NVDA-versioner bliver offentliggjort. Linket til download af NVDA 2017.3 er at finde ved at klikke på NVDA 2017.3 linket ovenover.

Ved at kræve det mindste operativsystemversionskrav til NVDA vil gøre det muligt at fokusere indsatsen på stabiliteten og sikkerheden af NvDA, netop ved at udnytte de nyeste funktioner og optimeringer både i Windows-operativsystemet og de moderne udviklingsværktøjer, som Microsoft tilbyder.

For dem i samfundet, der vælger at køre snapshot- eller rc-versioner og give feedback, kan disse versioner fra og med i dag ikke længere køre på ældre operativsystemer. I de kommende dage vil disse snapshots nægte at køre på noget under den minimale operativsystemversion og vise en Windows-dialog, der advarer brugeren om det. NV Access-opdateringsserveren tilbyder nu allerede NVDA 2017.3 til enhver bruger, der kører et snapshot eller en rc-version på disse ældre operativsystemversioner, og vil ikke tilbyde nogen fremtidig NVDA-version nyere end 2017.3. For dem på understøttede operativsystemer, vil du ikke se nogen ændring.

Vi ser helt sikkert frem til at udvikle og levere mere stabile, sikre og funktionsfyldte versioner af NVDA til samfundet og sikre, at blinde og svagtseende mennesker over hele verden har lige adgang til computere.

Baggrund

Gennem nogle år har NV Access samt andre udviklere modtaget rapporter om at gennemsynstilstand ikke var tilgængelig i nogle browsere, som Mozilla Firefox og nogle andre browsere, når NVDA blev genstartet. NV Access udarbejdede en fejlrettelse for dette problem, men den benyttede en routine der ikke befandt sig i ældre operativsystemer (specifikt Windows XP). At gøre denne routine tilgængelige for ddtte system er dyrt, især når udviklere ikke kan garantere at denne løsning virker for alle. Fordi rettelsen påvirker mange folk, kombineret med manglende støtte af de operativsystemer nævnt ovenfor, samt at Firefox og nogle andre populære programmer (heriblandt nogle skærmlæsere) ikke længere understøtter disse systemer, har NV Access besluttet at trække stikket for understøttelsen af ældre operativsystemer end dem nævnt ovenfor. NVDA 2017.3 vil stadig forblive tilgængelig for dem, der har behov for at bruge ældre Windows-versioner.

Således er følgende rådgivning fra fællesskabet trådt i kraft:

  • Hvis du bruger Windows-versioner, der er angivet ovenfor, skal du slå automatiske NVDA-opdateringer fra (NVDA-menuen / Indstillinger / Generelt og afmarkere checkboksen).
  • For dem, der bruger nogle tilføjelsesprogrammer, læs opfølgende rådgivning vedrørende støtte til gamle Windows-versioner fra tilføjelsesprogrammer fra diverse forfattere af tilføjelsesprogrammer (for dem, der bruger tilføjelser som Resourceovervågning, vil der blive offentliggjort en rådgivning næste uge).

Vi takker for din forståelse.

Share

Forfatter: Nicolai Svendsen

Jeg er blind og har en førerhund ved navn Balou. Jeg arbejder frivilligt med det danske arbejde til NVDA, og forsøger selvfølgelig at gøre det så godt som muligt. Jeg ønsker at formidle budskabet om NVDA, og jeg er meget aktiv i fællesskabet. Jeg har brugt NVDA i ni år nu. Jeg er i skrivende stund 27 år.

Skriv et svar

Din e-mailadresse vil ikke blive publiceret. Krævede felter er markeret med *

This site uses Akismet to reduce spam. Learn how your comment data is processed.